[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'Math' (#rtl)

# Float

Float type used in all calls

## Declaration

Source position: math.pp line 60

`type Float = MaxFloatType;`

## Description

All calculations are done with the Float type which is the largest float type available for the current CPU. This allows to recompile the unit with a different float type to obtain a desired precision. The pointer type PFloat is used in functions that accept an array of values of arbitrary length.